Subject: Re: [PATCH] sh_eth: r8a7790: Handle the RFE (Receive FIFO overflow Error) interrupt

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 30 Jul 2013 18:47:37 +0400

Hello.

On 30-07-2013 18:20, Laurent Pinchart wrote:

>>> The RFE interrupt is enabled for the r8a7790 but isn't handled,
>>> resulting in the interrupts core noticing unhandled interrupts, and
>>> eventually disabling the ethernet IRQ.

>>> Fix it by adding RFE to the bitmask of error interrupts to be handled
>>> for r8a7790.

>> So, Simon hasn't synced his patch to my late bug fix in 3.10... Did this
>> patch help you with your NFS boot issue, Laurent?

> Yes, it fixes the "disabling interrupt, nobody cared" problem. I still have
> intermittent NFS issues, but at least I can now boot.

    I was somewhat thrown off by the Rx FIFO overflow messages appearing before
the "nobody cared", so I thought that must be another unhandled interrupt.

WBR, Sergei